#ifndef IconSize_h
#define IconSize_h

// $Id: IconSize.h,v 1.4 2008/12/15 02:42:23 hpereira Exp $

/******************************************************************************
*                         
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>             
*                         
* This is free software; you can redistribute it and/or modify it under the    
* terms of the GNU General Public License as published by the Free Software    
* Foundation; either version 2 of the License, or (at your option) any later   
* version.                             
*                          
* This software is distributed in the hope that it will be useful, but WITHOUT 
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or        
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License        
* for more details.                     
*                          
* You should have received a copy of the GNU General Public License along with 
* software; if not, write to the Free Software Foundation, Inc., 59 Temple     
* Place, Suite 330, Boston, MA  02111-1307 USA                           
*                         
*                         
*******************************************************************************/
 
/*!
  \file IconSize.h
  \brief default icon sizes
  \author Hugo Pereira
  \version $Revision: 1.4 $
  \date $Date: 2008/12/15 02:42:23 $
*/

#include <QSize>
#include <QWidget>
#include <map>

//! default icon sizes
class IconSize: public QSize
{
  
  public:
  
   
  //! icon sizes
  enum Size
  {
    DEFAULT = 0,
    SMALL = 16,
    MEDIUM = 22,
    LARGE = 32,
    HUGE = 48,
    MAXIMUM = 256
  };

  //! constructor
  IconSize( QWidget* parent, Size size );
  
  //! constructor
  IconSize( Size size );
   
  //! map text to icon size 
  typedef std::map<Size, QString> Map;
  
  //! text to icon size
  static Map& map( void );  
    
};

#endif
